**Full name**: projects.locations.ragCorpora.delete

Deletes a RagCorpus.

### Endpoint

delete `https://{service-endpoint}/v1beta1/{name}`   
Where `{service-endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest#rest_endpoints).

### Path parameters

`name` `string` Required. The name of the RagCorpus resource to be deleted. Format: `projects/{project}/locations/{location}/ragCorpora/{ragCorpus}`

### Query parameters

`force` `boolean` Optional. If set to true, any RagFiles in this RagCorpus will also be deleted. Otherwise, the request will only work if the RagCorpus has no RagFiles.
`forceDelete` `boolean` Optional. If set to true, any errors generated by external vector database during the deletion will be ignored. The default value is false.

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `aiplatform.ragCorpora.delete`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).